<bugID>1294929<Summary>Don't hold "No matches" style, after clearing the "No matches" result using inspector-searchinput-clear</Summary><Description>Created attachment 8780785
steps-to-reproduce-20160813.mp4

User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:51.0) Gecko/20100101 Firefox/51.0
Build ID: 20160812030200

Steps to reproduce:

1. Start Nightly
2. Go to about:home
3. Open DevTools &gt; Inspector
4. Enter any unmatch word (e.g. zzz) into inspector-searchbox  =&gt; Result will be "No matches"
5. Click inspector-searchinput-clear (x) icon
6. Check inspector-searchbox style


Actual results:

Still hold "No matches" style.

Regression range:
https://hg.mozilla.org/integration/fx-team/pushloghtml?fromchange=c9bbdb627b7804fee47aa6a6708647e6e589d09c&amp;tochange=3269dd1a824d1b42cb021d1fb6858885179940b0


Expected results:

Don't hold "No matches" style, after clearing the "No matches" result using inspector-searchinput-clear</Description></bugID>